Bug 217775

Summary: New port: security/veracrypt - A port of VeraCrypt to FreeBSD 11
Product: Ports & Packages Reporter: Steve Roggenkamp <steveroggenkamp>
Component: Individual Port(s)Assignee: Jose Alonso Cardenas Marquez <acm>
Status: Closed FIXED    
Severity: Affects Only Me CC: pi, tablosazi.farahan
Priority: ---    
Version: Latest   
Hardware: amd64   
OS: Any   
Attachments:
Description Flags
SVN diff file for security/veracrypt
none
patch-v2 pi: maintainer-approval?

Description Steve Roggenkamp 2017-03-14 02:26:36 UTC
Created attachment 180800 [details]
SVN diff file for security/veracrypt

A new port of VeraCrypt to FreeBSD.

VeraCrypt is free open-source disk encryption software.

WWW: http://www.veracrypt.org/

Everything seems to work, although I have not systematically tested every feature at this point.

This port passes all of the tests described in section 3.4 of the Porter's Handbook, although pkglint fails it due to the use of a specific commit in the name.  This should be resolved with VeraCrypt release 1.20 in the near future as it will not build with release 1.19.

I have also successfully built and used it on GhostBSD 10.3-RELEASE running on an ancient Intel Atom powered netbook.
Comment 1 Kurt Jaeger freebsd_committer 2017-04-23 09:47:01 UTC
Created attachment 182012 [details]
patch-v2

Please have a look at this version.

It adds a license, fixes the portlint/PORTVERSION issue and adds
a missing BUILD_DEPENDS.

Can you explain if

files/no-patch-src-Main-UserInteface.cpp
files/nopatch-src-Makefile

are really used ?
Comment 3 vali gholami 2017-12-17 07:15:14 UTC
MARKED AS SPAM